﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace DllImjectionTest {
    public partial class Form1 : Form {
        public Form1() {
            InitializeComponent();
        }
        
        DllInjection dllInjection = new DllInjection();

        private void buttonUnLoad_Click(object sender, EventArgs e) {
            //64ビット動作と32ビット動作とでDLLを変える
            var dllName = string.Format("{0}\\{1}", Directory.GetCurrentDirectory(), (IntPtr.Size == 8) ? "test64.dll" : "test32.dll");
            var exeName = "notepad";
            if (!dllInjection.Load(dllName, exeName)) {
                MessageBox.Show(dllName+"のロードに失敗しました");
            }
        }

        private void button2_Click(object sender, EventArgs e) {
            dllInjection.Unload();
        }

    }
}
